Lintian::Deb822::Section(3)

NAME
Lintian::Deb822::Section -- A paragraph in a control file

SYNOPSIS
 use Lintian::Deb822::Section;

DESCRIPTION
Represents a paragraph in a Deb822 control file.

INSTANCE METHODS

legend
    Returns exact field names for their lowercase versions.

verbatim
    Returns a hash to the raw, unedited and verbatim field values.

unfolded
    Returns a hash to unfolded field values. Continuations lines have been connected.

positions
    The original line positions.

trimmed_list(FIELD [, SEPARATOR])
unfolded_value (FIELD)
    This method returns the unfolded value of the control field FIELD in the control file for the package. For a source package, this is the *.dsc file; for a binary package, this is the control file in the control section of the package.

    If FIELD is passed but not present, then this method returns undef.

value (FIELD)
    If FIELD is given, this method returns the value of the control field FIELD.

untrimmed_value (FIELD)
    If FIELD is given, this method returns the value of the control field FIELD.

text (FIELD)
store (FIELD, VALUE)
drop (FIELD)
declares (NAME)
    Returns a boolean for whether the named field exists.

names
    Returns an array with the literal field names.

literal_name
    Returns an array with the literal, true case field names.

position
    With an argument, returns the starting line of the named field.

    Without an argument, return the starting line of the paragraph.

extra

AUTHOR
Originally written by Felix Lechner <felix.lechner@lease-up.com> for Lintian.

SEE ALSO
lintian(1)